CVE-2005-3267

Integer overflow in Skype client before 1.4.x.84 on Windows, before 1.3.x.17 on Mac OS, before 1.2.x.18 on Linux, and 1.1.x.6 and earlier allows remote attackers to cause a denial of service (crash) via crafted network data with a large Object Counter value, which leads to a resultant heap-based buffer overflow.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:skype_technologies:skype:0.92.0.12:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:0.93.0.3:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:0.98.0.04:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.1:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.7:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.9:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.10:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.18:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.29:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.94:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.97:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.0.0.100:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.1.0.0:*:*:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.1.0.20:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.1.06:*:pocket_pc:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.2.0.17:*:linux:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.3.0.16:*:mac_os_x:*:*:*:*:*
cpe:2.3:a:skype_technologies:skype:1.4.0.83:*:*:*:*:*:*:*

History

No history.

Information

Published : 2005-10-27 10:02

Updated : 2017-07-11 01:33


NVD link : CVE-2005-3267

Mitre link : CVE-2005-3267


JSON object : View

Products Affected

skype_technologies

  • skype
CWE
CWE-189

Numeric Errors